=== debian/changelog ===
rat (4.2.22-4) unstable; urgency=low

  * Reflowed files using wrap-and-sort.
  * Moved code to collab-maint and add Vcs links to d/control.
  * Converted d/patches/ to use quilt.
  * Enabled hardening during build and added 05-hardening.patch to fix
    new build problems.
  * Adjusted d/rules to install in binary-arch target to fix build
    problem.
  * Adjusted input validation to avoid crash discovered by project
    Mayhem (Closes: #716590).
  * Removed obsolete debian/patched imported by mistake.
  * Replaced menu file with desktop file.
  * Corrected man page installation location.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 24 Dec 2016 22:49:50 +0100

rat (4.2.22-3) unstable; urgency=low

  * QA upload.
  * Acknowledge NMU (Closes: #849259).
  * Package was orphaned in #843443, change package maintainer to QA group.
  * Remove dh_testroot from d/rules build and install target to fix
    build problem on autobuilders.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 24 Dec 2016 12:11:17 +0100

rat (4.2.22-2.3) unstable; urgency=low

  * Non-maintainer upload to fix RC problem.
  * Changed from debhelper 4 to 9 (Closes: #817648).
  * Moved upstream code changes to 04-rat-4.2.22-2.2.dpatch and switch
    to 3.0 quilt source format.
  * Revert config.guess and config.sub in source to originals and
    replace them during build instead (Closes: #740652).  Patch from
    Logan Rosen and Ubuntu.
  * Move homepage URL from description to d/control field.
  * Updated Standards-Version from 3.7.2 to 3.9.8.
  * Added ${misc:Depends} to dependency list.
  * Restructure d/rules to fix problems discovered by lintian.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 24 Dec 2016 11:23:29 +0100

rat (4.2.22-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Replaced the obsolete tk8.4-dev build-dependency by the default
    tk-dev (closes: #725285).
  * Defined USE_INTERP_RESULT macro to quickfix FTBFS against tk-dev 8.6.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 31 Oct 2013 20:29:51 +0400

rat (4.2.22-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Changed build-deps to remove the dependecy against xlibs (closes: 
    #370233).
  * All files under debian/ directory are now encoded in UTF-8 (closes:
    #338844).
  * Updated Standards-Version to 3.7.2.
  * Set debhelper "compat" to 4.
  * Removed the last 2 lines of the changelog to correct the lintian
    warning.
  * Added dh_fixperms before dh_strip to fix lintian error
    unstripped-binary-or-object.

 -- Florent Bayle <fbayle@bigfoot.com>  Tue,  6 Jun 2006 17:24:34 +0200

rat (4.2.22-2) unstable; urgency=low

  * debian/patches: Added 01-rat-manpage-fix, for fixing the error
    "unrecognised format `M' ". Maybe new man-db uncovered it (closes:
    #184338).
  * Reordered debian/copyright and README.Debian.

 -- David Martínez Moreno <ender@debian.org>  Mon, 17 Mar 2003 10:53:39 +0100

rat (4.2.22-1) unstable; urgency=low

  * New upstream release.
  * debian/patches: Drop 02-usr-lib (ancient) and 06-printf-long patches
    (merged upstream).
  * debian/control: Built with Tcl/Tk 8.4 (closes: #173163), removed
    dependency on xlib6g-dev in favor of xlibs (closes: #170128), and bumped
    Standards-Version to 3.5.8. Fixed a typo in the Description.
  * debian/rules: Replaced debug by noopt and dropped dh_undocumented due to
    new policy. Also replaced DH_COMPAT by debian/compat as joeyh's advice.
  * Updated config.guess and config.sub to the latest ones.

 -- David Martínez Moreno <ender@debian.org>  Mon, 10 Mar 2003 00:35:02 +0100

rat (4.2.21-2) unstable; urgency=low

  * Recompiled rat with the new IPv6-activated libuclmmbase1. Let's see if
    this resolves #147124.

 -- David Martínez Moreno <ender@debian.org>  Fri, 17 May 2002 18:04:10 +0200

rat (4.2.21-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Priority changed to extra, according to Policy Section
    8.2, because rat depends on tcl8.0, which is extra.
  * Recompiled with new uclmmbase (1.2.11).
  * Removed patch #05-alpha-unsigned-long: Merged upstream.
  * Removed several other patches previously merged upstream.

 -- David Martínez Moreno <ender@debian.org>  Fri,  3 May 2002 10:36:38 +0200

rat (4.2.20-3) unstable; urgency=low

  * Definitely drop -Werror, as it is preventing rat from being
    built on sparc (for example). The version of rat in testing
    MUST be replaced (it's 4.0.3 from 21 Jul 1999...kinda old).
    Only m68k remains with build problems, but I think that it
    will compile this version.

 -- David Martínez Moreno <ender@debian.org>  Wed, 30 Jan 2002 18:33:20 +0100

rat (4.2.20-2) unstable; urgency=low

  * More cleanup in the diff.gz.
  * Removed patch #4 because upstream now reflects it.
  * debian/control: Added missing Build-Depends on xlib6g-dev and
    missing -O2 in CFLAGS (I did forget it in 4.2.20-1).
  * debian/rules: Removed bashism and replaced 'echo' by '/bin/echo'.
  * Added patch #6 from Petter Reinholdtsen in order to fix the build in
    sparc (only powerpc remains with problems for rat entering
    testing). BTW, this closes: #129628.

 -- David Martínez Moreno <ender@debian.org>  Sun, 20 Jan 2002 04:44:59 +0100

rat (4.2.20-1) unstable; urgency=low

  * New upstream release.
  * Fixed forgotten malloc in auddev_oss.c mixer.
  * Added support for more devices (telephony drivers).
  * Rebuilt with newly adopted libuclmmbase1 1.2.10.
  * Cleaned up configure changes about CFLAGS=-g, and passed it in
    CFLAGS from debian/rules (thanks, Santiago Vila).

 -- David Martínez Moreno <david.martinez@rediris.es>  Mon,  3 Dec 2001 21:15:29 +0100

rat (4.2.19-1) unstable; urgency=low

  * New upstream release, closes: #104270.
  * I've removed all the references to WBS codec, property of BT, in
    an unreleased version (4.2.18-2). But for 4.2.19 Colin (upstream
    maintainer) added a REMOVE_WBS_CODEC compile option. It should

