=== debian/control ===
Source: rat
Build-Depends: autotools-dev,
               debhelper (>= 9~),
               libice-dev,
               libsm-dev,
               libuclmmbase1-dev (>= 1.2.11-2),
               libx11-dev,
               libxext-dev,
               patch,
               tk-dev
Section: net
Priority: extra
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 3.9.8
Homepage: http://www-mice.cs.ucl.ac.uk/multimedia/software/rat/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/rat.git
Vcs-Git: git://anonscm.debian.org/collab-maint/rat.git

Package: rat
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: sdr
Description: Unicast and multicast voice-over-IP application
 RAT is a network audio tool that allows users to participate in audio
 conferences over the Internet. These can be between two participants
 directly, or between a group of participants on a common multicast group.
 No special features are required to use RAT in point-to-point mode, but to
 use the multicast conferencing facilities of RAT, a connection to the
 Mbone, or a similar multicast-capable network, is required. RAT is based on
 IETF standards, using RTP above UDP/IP as its transport protocol, and
 conforming to the RTP profile for audio and video conferences with minimal
 control.
